#include <linux/linkage.h>
#include "signal.h"
#include "frame.h"

asmlinkage int fpu_empulate(struct frame*,struct fpframe*);
void do_fpu_emulate(struct frame *fp);
extern struct task_struct *current;


struct fpframe globlfpframe;
long instruction;
long out;
void fpu_copy(char* ,char *, int);

int _main(void) 
{

	return 0;

}
void do_fpu_emulate(struct frame *fp)
{
	int signal;
	if((signal=fpu_emulate(fp, &globlfpframe))) {
		send_sig(signal,current,1);
	};
;

} 
inline void fpu_copy(char* src, char* dst, int len) 
{
	int k;
	for(k=0;k<len;k++)
		*dst++=*src++;


}

